Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`endpoints`.`_ExistingConnectionHelper``

class documentation

`class _ExistingConnectionHelper: (source)`

Constructor: `_ExistingConnectionHelper(connection)`

Implements interfaces: `twisted.conch.endpoints._ISSHConnectionCreator`

View In Hierarchy

`_ExistingConnectionHelper` implements `_ISSHConnectionCreator` by handing out an existing SSH connection which is supplied to its initializer.

Method | `__init__` | No summary
Method | `cleanupConnection` | Do not do any cleanup on the connection. Leave that responsibility to whatever code created it in the first place.
Method | `secureConnection` | No summary
Instance Variable | `connection` | Undocumented

def __init__(self, connection): (source)

Parameters
connection | See `SSHCommandClientEndpoint.existingConnection`'s `connection` parameter.

def cleanupConnection(self, connection, immediate): (source)
from `twisted.conch.endpoints._ISSHConnectionCreator`

Do not do any cleanup on the connection. Leave that responsibility to whatever code created it in the first place.

Parameters
connection:`SSHConnection` | The `SSHConnection` which will not be modified in any way.
immediate:`bool`. | An argument which will be ignored.

def secureConnection(self): (source)
from `twisted.conch.endpoints._ISSHConnectionCreator`

Returns
A `Deferred` that fires synchronously with the already-established connection object.

connection = (source)

Undocumented